.TH CWHOIS 3 "2006-11-03" "1.10" "whois client"

.SH NAME
CWHOIS \- whois client

.SH SYNOPSIS
.B cwhois
.RB [\| \-a \||\| \-F \||\| \-L \||\| \-m \||\| \-M \||\| \-r \||\| \-S \||\| \-R \|]
.RB [\| \-h
.IR hostname \|]
.RB [\| \-s
.IR source[\|[\|,source\|]...\|] \|]
.RB [\| \-T
.IR type[\|[\|,type\|]...\|] \|]
.RB [\| \-i
.IR attr[\|[\|,attr\|]...\|] \|]
keys

.B cwhois
.RB [\| \-t
.IR type \|]

.B cwhois
.RB [\| \-v
.IR type \|]

.SH DESCRIPTION
.B cwhois
Simple whois client that gives you back output, compatiable with RIPE DB v2, if
you'll ask it to.

.SH OPTIONS
.B
.TP
.B \-a
search all databases
.TP
.B \-F
fast raw output
.TP
.B \-L
find all Less specific matches
.TP
.B \-m
find first level more specific matches
.TP
.B \-M
find all More specific matches
.TP
.B \-r
turn off recursive lookups
.TP
.B \-S
tell server to leave out 'syntactic sugar'
.TP
.B \-R
force to show local copy of the domain object even if it contains referral
.TP
.B \-h hostname
search alternate server
.TP
.B \-s source[\|[\|,source\|]...\|]
search databases with source 'source'
.TP
.B \-T type[\|[\|,type\|]...\|]
only look for objects of type 'type'
.TP
.B \-i attr[\|[\|,attr\|]...\|]
do an inverse lookup for specified attributes
.TP
.B \-t type
requests template for object of type 'type'
.TP
.B \-v type
requests verbose template for object of type 'type'

.SH HINT
Please note that most of these flags are NOT understood by
non RIPE whois servers!

.SH SEE ALSO
.B Website
<http://www.ripe.net/tools/>

.SH AUTHOR
CWHOIS was written by Timur Bakeyev <timur@ripe.net>.
.PP
This manual page was written by Jan Wagner <waja@cyconet.org>,
for the Debian project (but may be used by others).
